Bug 467925 - Please add a dependency on usermode-gtk
Please add a dependency on usermode-gtk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker F10Preview F10DesktopBlocker 466768
  Show dependency treegraph
 
Reported: 2008-10-21 13:55 EDT by Sebastian Vahl
Modified: 2013-01-09 23:51 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 09:57:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2008-10-21 13:55:15 EDT
+++ This bug was initially created as a clone of Bug #466768 +++

This package is currently missing a dependency on usermode-gtk. So on systems
where this isn't installed (like the current KDE live images) this package
isn't working properly as a non-root user from the menu.
Comment 1 Daniel Walsh 2008-10-27 09:57:27 EDT
Fixed in policycoreutils-2.0.57-6.fc10
Comment 2 Jesse Keating 2008-11-04 18:04:25 EST
Argh.  You added the requires to the base policycoreutils package, instead of the -gui subpackage.  This means that usermode-gtk and the whole slew of deps will be brought in to a minimal install, which is far from desired.  I've moved the Requires and rebuilt.
Comment 3 Daniel Walsh 2008-11-05 09:53:37 EST
Sorry, you can kick me next time you see me.

Note You need to log in before you can comment on or make changes to this bug.